View Issue Details

IDProjectCategoryView StatusLast Update
0001264CaseTalk ModelerRepositorypublic2017-04-10 11:21
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version8.20Fixed in Version8.20 
Summary0001264: Split facttype fails second time
DescriptionSplitting a facttype with three roles, and a uc over two of them, is possible since 8.18. However performing this a second time fails without feedback to the user.
Steps To ReproduceOpen an IG and an IGD
Open the well formedness window, with automatic on.
Split FactType (no effect visible)
Undo Split
Close All
-> access violation
Additional InformationAfter entering a new name, the expression is checked. The warning could precede the input dialog to save effort.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2017-04-10 09:02

administrator   ~0000831

Also an error will be triggered when the expression tree window is active while the OTFT is split.
BCP Software

BCP Software

2017-04-10 11:21

administrator   ~0000833

The code is hardened and prevents more invalid states while processing user input.

Issue History

Date Modified Username Field Change
2017-04-02 08:40 BCP Software New Issue
2017-04-02 08:40 BCP Software Status new => assigned
2017-04-02 08:40 BCP Software Assigned To => BCP Software
2017-04-03 12:20 BCP Software Target Version => 8.20
2017-04-10 09:02 BCP Software Note Added: 0000831
2017-04-10 11:21 BCP Software Status assigned => resolved
2017-04-10 11:21 BCP Software Resolution open => fixed
2017-04-10 11:21 BCP Software Fixed in Version => 8.20
2017-04-10 11:21 BCP Software Note Added: 0000833